Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0008450 [DCSS] Bug Report tweak have not tried 2014-04-26 23:32 2015-03-29 05:10
Reporter Rast View Status public  
Assigned To MarvinPA
Priority normal Resolution done  
Status closed   Product Branch 0.14 ancient branch
Summary 0008450: TSO doesn't warn converts about evil armor
Description 1. Be a centaur wearing the +10 Black Knight's horse barding.
2. Convert to The Shining One
3. A few turns later he places you under penance.

I think it would be better for him to refuse to accept converts who are wearing this, and tell you to take it off first.

Similar issues may exist for other gods and items. Chei + boots of running, for instance.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0025921)
MarvinPA (developer)
2014-04-27 04:04

Added a warning to remove any such items after conversion.

- Issue History
Date Modified Username Field Change
2014-04-26 23:32 Rast New Issue
2014-04-27 04:04 MarvinPA Note Added: 0025921
2014-04-27 04:04 MarvinPA Status new => resolved
2014-04-27 04:04 MarvinPA Fixed in Branch => 0.15 development branch
2014-04-27 04:04 MarvinPA Resolution open => done
2014-04-27 04:04 MarvinPA Assigned To => MarvinPA
2015-03-29 05:10 Rast Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker